ptlib (2.10.10~dfsg-4) unstable; urgency=medium

  * patches/bison-fix: Update patch to fix crash (Closes: Bug#735600).

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Fri, 17 Jan 2014 08:50:49 +0100

ptlib (2.10.10~dfsg-3) unstable; urgency=low

  * patches/bison-fix: Fix build with bison 3.0 (Closes: Bug#733396).
  * Ack NMU, thanks Samuel!

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Wed, 08 Jan 2014 14:50:49 +0100

ptlib (2.10.10~dfsg-2.1) unstable; urgency=low

  * NMU with agreement of maintainer.
  * patches/hurd-fix: Fix hurd build (Closes: Bug#729184).
  * control: Bump doxygen version to 1.8.5-1 to avoid its hang bug
    (Closes: #729243).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2013 20:50:49 +0100

ptlib (2.10.10~dfsg-2) unstable; urgency=low

  * Upload to Unstable

 -- Mark Purcell <msp@debian.org>  Sun, 05 May 2013 21:39:44 +1000

ptlib (2.10.10~dfsg-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Sat, 23 Feb 2013 09:43:13 +1100

ptlib (2.10.9~dfsg-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New upstream release
    - fixes GNU/Hurd build
  * NEW package libpt2.10.9 - match-soname
  * Remove some unneeded Build-Conflicts 

 -- Mark Purcell <msp@debian.org>  Tue, 27 Nov 2012 20:28:07 +1100

ptlib (2.10.7~dfsg-1) experimental; urgency=low

  * New upstream release
    - Fixes " FTBFS on Debian GNU/Hurd [patch attached]" (Closes: #681645)
  * NEW package libpt2.10.7 - match-soname 
  * Update debian/watch

 -- Mark Purcell <msp@debian.org>  Sat, 01 Sep 2012 10:09:01 +1000

ptlib (2.10.5~dfsg-1) experimental; urgency=low

  * New Upstream Release
  * NEW package libpt2.10.5 - match-soname

 -- Mark Purcell <msp@debian.org>  Wed, 23 May 2012 07:59:30 +1000

ptlib (2.10.4~dfsg-1) unstable; urgency=low

  * New upstream release 

  [ Eugen Dedu ]
  * Replace !kfreebsd* Build-Depends with linux-any to easy ports (Closes:
    #634502)

  [ Mark Purcell ]
  * NEW package libpt2.10.4 - soname bump
  * Upload to unstable - coordinated through debian-release
  * Ack NMU - Thks Robert
  * Fixed upstream "RTF_WASCLONED macro" (Closes: #637944)
  * Drop symbol support - few rdepends and exporting lots of symbols (C++)

 -- Mark Purcell <msp@debian.org>  Sat, 03 Mar 2012 08:38:24 +1100

ptlib (2.6.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix for missing RTF_WASCLONED macro on GNU/kFreeBSD.  (Closes: #637944)
  * Replace hard-coded non-Linux architectures with "linux-any".
    (Closes: #634502)

 -- Robert Millan <rmh@debian.org>  Sat, 22 Oct 2011 17:28:09 +0200

ptlib (2.10.2~dfsg-0ubuntu1) oneiric; urgency=low

  * Merge with Debian experimental. (LP: #836915) Remaining Ubuntu changes:
    - debian/rules: Configure with --enable-exceptions, to avoid
      -fno-exceptions leaking into pkg-config.
  * New upstream bug fix release
  * Drop pluginmgr.patch, dlclose_fix.patch: Included upstream.
  * debian/rules: Disable failing and rather dubious "compiled static" test,
    as this makes no actual effort of checking the binary. (The binary is
    really compiled dynamically)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 10 Sep 2011 09:12:12 +0200

ptlib (2.10.1~dfsg-1) experimental; urgency=low

  * New upstream release: 2.10.1 (Luyten) 
    Closes: #622012, #598986
  * Re-Add myself to Uploaders
  * Bump debhelper compat to 8
  * Fix debian/watch to allow double digit minor versions
  * Drop Changelog-ptlib from docs as upstream doesn't ship it
  * Bump Standards-Version to 3.9.2 - no changes required
  * Update VCS browser field to anonscm.d.o
  * Repack as DFSG to remove upstream's windows binaries
  * Fix debian/watch to add ~dfsg version mangle
  * Remove unused ${shlibs:Depends} from libpt-dev, libpt-dbg and libpt-doc
  * Re-Add more complete clean target and debian/clean for dh_clean to wipe
    out leftover files
  * Replace jquery.js with Debian's version to make lintian happy
  * Add symbols file for libpt2.10.1 (but don't fail builds while we're in
    experimental)
  * Add pkg-kde-tools to take advantage of pkgkde-symbolshelper which is
    better suited for C++ libs - thanks to Modestas Vainius!
    (this makes c++ symbol files somewhat less painful. But still different
    g++ versions emit a bit different symbol sets so ftbfs'es happen)
  * Register API documentation with doc-base
  * Add dlclose fixes from upstream to unloading plugins without ld.so issuing
    an error

 -- Kilian Krause <kilian@debian.org>  Tue, 12 Jul 2011 08:41:14 +0200

ptlib (2.8.4-1) experimental; urgency=low

  * New upstream release
  * NEW package libpt2.8.4 - soname bump 

 -- Mark Purcell <msp@debian.org>  Tue, 01 Mar 2011 07:58:50 +1100

ptlib (2.8.3-1) experimental; urgency=low

  * New upstream release 
  * NEW package libpt2.8.3 - soname bump
  * Add Build-Depends: libpulse-dev - Pulse audio support
  * dh_installchangelogs ChangeLog-ptlib-*.txt

 -- Mark Purcell <msp@debian.org>  Sat, 29 Jan 2011 19:43:33 +1100

ptlib (2.8.2-1) experimental; urgency=low

  * New upstream release
    - NEW packages libpt[2.8.2,-dbg] - soname bump
  * Standards Version 3.9.1 - no changes
  * source/format -> 3.0 (quilt)

 -- Mark Purcell <msp@debian.org>  Sat, 31 Jul 2010 12:55:13 +1000

ptlib (2.8.1-1) experimental; urgency=low

  * New upstream release
    - NEW packages libpt2.8.1[-dbg] - soname bump
  * Sync from branches/ptlib-2.6

 -- Mark Purcell <msp@debian.org>  Sun, 30 May 2010 13:37:37 +1000

ptlib (2.6.7-2) unstable; urgency=low

  * Add source/format '3.0 (quilt)'
  * libpt-dbg package - versioning removed
  * Update +Vcs-Svn: +Vcs-Browser:
  * Drop unsupported SSLv2_method - removed from openssl
    - Fixes "FTBFS: ptclib/pssl.cxx:810:27: error: 'SSLv2_method' was not
    declared in this scope" (Closes: #622012)

 -- Mark Purcell <msp@debian.org>  Sat, 02 Jul 2011 16:08:39 +1000

ptlib (2.6.7-1) unstable; urgency=low

  [Mark Purcell]
  * New upstream release 
    - NEW package libpt2.6.7 - soname bump
    - Fix FTBFS on GNU/kFreeBSD (Closes: #545948)
  * Constrain debian/watch to just track 2.6 series (Lalande release)
    - Move to svn://svn.debian.org/pkg-voip/ptlib/branches/ptlib-2.6
  * Switch to dh (7) - drop cdbs
  * Depreciate libptX.X.X-plugins -> libptX.X.X
    - Makes dependent packages binNMU safe
  * Reinstate get-orig-source target - uscan

  [Eugen Dedu]
  * Remove Build-Conflict with its own runtime (Closes: #459712)

 -- Mark Purcell <msp@debian.org>  Thu, 27 May 2010 22:27:41 +1000

ptlib (2.8.0-1) experimental; urgency=low

  * New upstream release
  * NEW package libpt2.8.0 - soname bump

 -- Mark Purcell <msp@debian.org>  Sun, 07 Mar 2010 09:31:14 +1100

ptlib (2.6.5-1) unstable; urgency=low

  * New upstream release
    - fix compilation on kFreeBSD (Closes: #545948)

 -- Mark Purcell <msp@debian.org>  Sat, 03 Oct 2009 17:11:51 +1000

ptlib (2.6.4-1) unstable; urgency=low

  * New upstream release (Closes: #533519)
  * Gather all the current plugins into one package, since they were
    really small.
    - NEW package libpt2.6.4-plugins

 -- Mark Purcell <msp@debian.org>  Sat, 06 Jun 2009 12:21:35 +1000

ptlib (2.6.3-1) unstable; urgency=low

  * New upstream release
    - soname bump - NEW package libpt2.6.3
    - ptlib transition continues ;-)
  * Another variable in debian/watch

 -- Mark Purcell <msp@debian.org>  Sat, 06 Jun 2009 06:20:50 +1000

ptlib (2.6.2-1) unstable; urgency=low

  * New upstream release
    - soname bump - NEW package libpt2.6.2
    - ptlib transition agreed on debian-release

  [ Kilian Krause ]
  * Remove -N from wget args in get-orig-source target as -O is already
    used.

 -- Mark Purcell <msp@debian.org>  Wed, 27 May 2009 05:33:29 +1000

ptlib (2.6.1-2) unstable; urgency=low

  * Upload to unstable 
    - ptlib transition - discussed on debian-release
  * Update debian/copyright - Thks Charles & Eugen
    - (Closes: #525286): "Missing entries in debian/copyright."

 -- Mark Purcell <msp@debian.org>  Mon, 27 Apr 2009 19:48:16 +1000

ptlib (2.6.1-1) experimental; urgency=low

  * New upstream release.

  [ Eugen Dedu ]
  * Remove DC and AVC plugin packages, since they do not compile anymore
    with current versions of libraw1394/libdc1394/libavc1394 in debian.
  * debian/rules: Honour DEB_BUILD_OPTIONS parameter for parallel builds.
  * Fix control fields: Vcs-Svn and Vcs-Browser.

  [ Mark Purcell ]
  * Switch development package to libpt-dev. Guidance from debian-release
  * Begin migration from old libpt versions
  * Update debian/watch -> sf.net & ftp.gnome.org
  * debian/libpt-dev.install replaces mv/cp stataments in debian/rules
  * Add Build-Depends: libv4l-dev (Closes: #512931)
  * Call dh_prep vice dh_clean -k

 -- Mark Purcell <msp@debian.org>  Fri, 03 Apr 2009 00:22:05 +1100

ptlib (2.4.2-3) experimental; urgency=low

  * Provide ODBC support Build-Depend: / Depend: unixodbc-dev 
    - fixes ekiga i386 build issues
  * libpt2.4.2-dev Depends: pkg-config

 -- Mark Purcell <msp@debian.org>  Wed, 10 Dec 2008 21:14:24 +1100

ptlib (2.4.2-2) experimental; urgency=low

  [ Eugen Dedu ]
  * Build-Depends on pkg-config, allowing to correctly build the package.

  [ Mark Purcell ]
  * Integrate historic pwlib{-titan} debian/changelog

 -- Mark Purcell <msp@debian.org>  Sat, 15 Nov 2008 08:10:21 +1100

ptlib (2.4.2-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New stable version 2.4.2, with update of debian files

 -- Mark Purcell <msp@debian.org>  Thu, 06 Nov 2008 21:30:25 +1100

ptlib (2.3.0+svn20940-1) experimental; urgency=low

  [ Eugen Dedu ]
  * Build-Depends on libdv4-dev instead of libdv-dev
  * Fix naming Portable Windows -> Portable Tools in control file
  * Really include upstream changelog in the package
  * Build from svn snapshot REV 20940

 -- Mark Purcell <msp@debian.org>  Sun, 14 Sep 2008 15:57:47 +1000

ptlib (2.3.0+svn20904-1) experimental; urgency=low

  [ Eugen Dedu ]
  * First upload of svn snapshot to debian.
  * Build from REV 20904, take into account the changes
  * Make use of make install, simplify the install target in rules file
  * Rename package to -beta1

  [ Mark Purcell ]
  * 2.3.0 was tagged at REV 20678, thus this version 2.3.0+svn
  * svn REV checkout is controlled from debian/changelog version
  * Updated debian/watch to pickup next tag
  * Update Description: to explict state this svn snapshot

 -- Mark Purcell <msp@debian.org>  Thu, 11 Sep 2008 21:50:19 +1000

ptlib-snapshot (0-20080418-1) voip; urgency=low

  * Built from SVN snapshots.  No package support, please refer to
    irc.gimp.net channel #ekiga for support.  Do not complain about
    these debs at Debian BTS!

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Sun, 18 Apr 2008 00:00:00 +0200

ptlib-snapshot (0-20071107-03-sid.2) voip-snapshots-debian-sid; urgency=high

  * Built from CVS snapshots. No package support, please refer to
    irc.gimp.net channel #ekiga for support

 -- Kilian Krause <kilian@debian.org>  Sun, 27 May 2007 21:31:35 +0000

pwlib-titan (1.11.2-2) unstable; urgency=low

  [ Kilian Krause ]
  * Fix debian/watch to use sf.net instead of voxgratia.org (Closes: #453595)
  * Remove symlinks of unused compatibility versions.
  * Remove entire -ptrace and -debug build and leave only opt build with
    PTRACE code as new binary library. Discussion with Robert Jongbloed
    proved that there's no point shipping any other configuration.
  * Revert part of 04_names patch to not include OBJDIR_SUFFIX to
    plugins dir anymore.

  [ Faidon Liambotis ]
  * Incorporate NMU by Nico Golde, thanks! (Closes: #454139)
  * Fix bug where shlibs were very strict on binNMUed versions.
  * Bump Standards-Version to 3.7.3, no changes needed.
  * Remove doxygen from Build-Depends-Indep since it's present in
    Build-Depends.
  * Remove debian/backports/{sarge,dapper} since they are obsolete
    distributions.
  * Remove Jose Carlos Garcia Sogo and Santiago Garcia Mantinan from
    Uploaders and add myself.
  * Add all copyright holders to debian/copyright.
  * Fix syntax error in the ptlib-config.1 manpage.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 02 Apr 2008 07:14:27 +0300

pwlib-titan (1.11.2-1.1) unstable; urgency=high

  * Non-maintainer upload by testing-security team.
  * Fix remote denial of service vulnerability caused
    by a call to PString::vsprintf if the used object already
    contained more than 1000 characters (CVE-2007-4897; bug #454139).

 -- Nico Golde <nion@debian.org>  Mon, 03 Dec 2007 13:20:05 +0100

pwlib-titan (1.11.2-1) unstable; urgency=low

  * New upstream release (unstable branch).

  [ Kilian Krause ]
  * Add dpkg-dev (>= 1.13.19) to Build-Deps to allow use of binary:Version.
  * Remove circular dependencies from plugins.
  * Remove get-orig-source until upstream provides the tarball on their
    website again.
  * Fixup debian/watch.
  * Remove compat symlinks.
  * Remove implicit rules-ignores-make-clean error
  * Fix dh_strip call to use $(PACKAGE) for all packs properly.
  * Add Homepage field as added in dpkg-dev 1.14.6.

  [ Faidon Liambotis ]
  * Adapt shlibs to depend on the upstream's version number and not the Debian
    version number, since we don't extend the ABI. This also imitates
    debhelper's behavior.

 -- Kilian Krause <kilian@debian.org>  Sat, 22 Sep 2007 14:43:52 +0200

pwlib (1.10.7~dfsg1-4) unstable; urgency=high

  * Add missing libpt.so.* compat symlinks. The libpt.so.1.10 is supposed to
    be compatible with all build versions. Probably we should revert that
    SONAME "fix" upstream to just $major.$minor as is what Craig reckons is
    kept as API/ABI for a stable release. (Closes: #434077)
  * Urgency high due to RC bug.

 -- Kilian Krause <kilian@debian.org>  Sun, 22 Jul 2007 02:57:29 +0200

pwlib (1.10.7~dfsg1-3) unstable; urgency=low

  * Add missing conflicts (Closes: #433185)

 -- Kilian Krause <kilian@debian.org>  Mon, 16 Jul 2007 13:50:38 +0200

pwlib (1.10.7~dfsg1-2) unstable; urgency=low

  * Fix compilation of V4L2 on i386. Backport patch from upstream.
  * Fix Source-Version to become binary:Version for binNMU-safety.

 -- Kilian Krause <kilian@debian.org>  Wed, 04 Jul 2007 19:11:46 +0200

pwlib (1.10.7~dfsg1-1) unstable; urgency=low

  * New upstream version.
  * Update debian/rules to build also ptrace-enabled opt version and
    ptrace-enabled debug version (with extra PTRACE code) as was often
    requested by Ekiga developers.
  * Ship external debug symbols directly in new ptrace and develop package.
  * Add symlinks for linking only in libpt-dev rather than each libpt package.
    Backward compatibility links are still added to allow clean upgrade paths
    without rebuild when build-version has been bumped. Upstream reckons the
    API with stable OpenH323 releases (pwlib, opal, openh323) is supposed to
    remain identical for all upsates with the same minor version number.
    (Closes: #424050)
  * Depend on at least one plugin for audio and video for libpt-1.10.0. The
    -develop and -ptrace have their plugins included. No need to depend here.

 -- Kilian Krause <kilian@debian.org>  Tue,  3 Jul 2007 21:49:46 +0200

pwlib (1.10.2-2) unstable; urgency=high

  * Correct the versioned dependency to the lib we're building right now to
    overcome problems like #392522. Setting urgency=high, for we're closing an
    RC-bug.

 -- Kilian Krause <kilian@debian.org>  Sun, 22 Oct 2006 11:05:39 +0200

pwlib (1.10.2-1) unstable; urgency=low

  * New upstream release. No more dfsg-repack should be needed, RFC files
    deleted upstream.

  [ Kilian Krause ]
  * Rename configure target to config.status
  * Updated Homepage to www.voxgratia.org in package descriptions
    (Closes: #383173)
  * Document that libpt-dbg is only debug symbols. Eventually this should
    become a switch in the debian/rules to make debug-compile one simple
    rebuild for the user or even automagically be added to more powerful
    platforms. (Closes: #345511)

 -- Kilian Krause <kilian@debian.org>  Mon,  9 Oct 2006 13:27:28 +0200

pwlib (1.10.1.dfsg-1) unstable; urgency=low

  [ Kilian Krause ]
  * New upstream release. (Closes: #365177)
  * debian/rules: Use CURDIR rather than PWD to make sure we can build with
    sudo.

  [ Mark Purcell ]
  * Update debian/watch for numerics

 -- Kilian Krause <kilian@debian.org>  Fri,  9 Jun 2006 19:33:41 +0000

pwlib (1.10.0-1) unstable; urgency=low

  * New upstream release (Phobos_release).
  * hush version.h error message when tarball not yet extracted
  * Sarge compatibility: if debhelper compat is 4, use older strip

 -- Kilian Krause <kilian@debian.org>  Mon, 13 Mar 2006 23:46:34 +0000

pwlib (1.9.3-2) unstable; urgency=low

  * Fix compilation on alpha with switching -Os back to -O2. Apparently gcc is
    still broken.

 -- Kilian Krause <kilian@debian.org>  Sun, 19 Feb 2006 22:10:42 +0100

pwlib (1.9.3-1) unstable; urgency=low

  * New upstream release. (Phobos-devel3, Prerelease for Ekiga 2.00 BETA2)
    Naming according to final API names of Phobos.

 -- Kilian Krause <kilian@debian.org>  Mon,  6 Feb 2006 20:45:01 +0100

pwlib (1.8.7-2) unstable; urgency=high

  * High-urgency upload for multiple RC bugfixes.
  * Fix casts to match current OpenSSL prototypes (closes: #335490).
  * Use -O2 instead of -Os when building, as recommended by policy; this
    fixes a build-time failure on alpha when running any code linked against
    libpt.
  * Drop the libpt.so.1.8.3 and libpt.so.1.8.4 symlinks; the native soname
    is now libpt.so.1.8.7, so since we're no longer compatible with older
    reverse-dependencies anyway due to the ABI change, these serve no
    purpose.  Here's hoping someone clues upstream in on handling of SONAMEs
    before the next release.
  * Rename libpt-1.8.3c2 to libpt-1.8.7 for the C++ mt allocator ABI
    transition, and conflict/replace libpt-1.8.3c2 accordingly
    (closes: #339253).  Thanks to the change above, this only requires
    conflict/replacing libpt-1.8.3c2 (>= 1.8.7-1).
  * Get rid of the useless /usr/lib/libpt.so.1 link: this serves no purpose
    when the package soname is libpt.so.1.8.7, because *nothing* will ever
    use it, so the easiest way to avoid conflicts is to not ship it
    anywhere! (closes: #331634)
  * Fix most of the warnings.
  * Thanks goes to Steve Langasek and Jose Carlos Garcia Sogo for their help
    on preparing this!

 -- Kilian Krause <kilian@debian.org>  Sun,  4 Dec 2005 00:58:44 +0100

pwlib (1.8.7-1) unstable; urgency=low

  * Mimas_patch2 is 1.8.7. And shlibdeps imposes this as version.

 -- Kilian Krause <kilian@debian.org>  Wed, 14 Sep 2005 18:14:03 +0200

pwlib (1.8.4-3) unstable; urgency=low

  * Move symlinks to -dev package where they belong and don't conflict no more
    with libs we don't share files with. (Closes: #320105)
  * Update to Mimas_patch2.

 -- Kilian Krause <kilian@debian.org>  Tue, 13 Sep 2005 19:52:03 +0200

pwlib (1.8.4-2) unstable; urgency=low

  * Jose Carlos:
    + Ack previous NMU. Thanks to Sam Hocevar for his work. 
    (Closes: #315233, #309873, #313032, #310825, #310813)
  * Kilian:
    + Included Mimas_patch1. 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 15 Jul 2005 10:21:16 +0300

pwlib (1.8.4-1.1) unstable; urgency=low

  * Non-maintainer upload (g++ transition).
  * debian/control:
    + Build-depend on libdc1394-13-dev instead of libdc1394-11-dev so that
      the package can build (Closes: #315233) and libpt-plugins-dc is
      installable again (Closes: #309873, #313032).
    + Removed the build-dependency on g++.
    + Renamed package to libpt-1.8.3c2 for the g++ transition (Closes: #310825).
  * debian/patches/08_g++4.dpatch:
    + Patch courtesy of Andreas Jochens to fix g++4.0 build.
  * debian/rules:
    + Copy config.sub and config.guess instead of linking them to allow the
      package to rebuild properly (Closes: #310813).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 14 Jul 2005 14:39:40 +0300

pwlib (1.8.4-1) unstable; urgency=low

  * New upstream release, codename Mimas.
  * Release targeted for Sid.

 -- Kilian Krause <kk@verfaction.de>  Sun, 20 Feb 2005 22:35:14 +0100

pwlib (1.8.3-2) experimental; urgency=low

  * Renamed package to 1.8.3, to be coherent with the first upstream
  version present in Debian archives.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 18 Dec 2004 11:47:00 +0100

pwlib (1.8.3-1) experimental; urgency=low

  * New upstream release (Atlas)
    + debian/control: updated package names
    + debian/control: conflict with older 1.7.5 versions
    + debian/rules: tweak compat version to 1.8.2
    + debian/rules: enabled support for v4l2. Created new plugin package.

  * Build-Depend on libdc1394-11-dev. (Closes: #277701, #278847)
  * Build-Depend on linux-kernel-headers to get video4linux2 support.

  * debian/patches:
    + 00list: disable 03_getdate.tab (Closes: #276200)

  * debian/rules: minor cleanups

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 28 Nov 2004 20:33:23 +0100

pwlib (1.7.5.2-3) experimental; urgency=low

  * Fixed maintainer field, which was hosed by pbuilder.
  * Clean hello_world after the test. (Closes: #273635)
  * Conflicts with libpt-1.6.3 and libpt-1.5.2. (Closes: #265447)
  * These are the new stable versions for pwlib. (Closes: #270061)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat,  2 Oct 2004 16:45:18 +0200

pwlib (1.7.5.2-2) experimental; urgency=low

  * debian/rules:
     + drop debugshared and debugnoshared make targets. Those build hughe
     libraries, which are not needed in Debian.
     + Lot of changes to make -dbg package to only contain symbols that were
     stripped from shared library and plugins.
     + Both changes reduce the compilation time and the size of -dbg package.
  * debian/patches:
     + 07_nostrip: we don't want to strip when linking for shared library.
     That is going to be handled later in the package building process.

  * README.Debian: updated

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri,  1 Oct 2004 20:48:52 +0200

pwlib (1.7.5.2-1) experimental; urgency=low

  * Kilian Krause
     + New upstream update (Pandora)
     + make sure we're the only pwlib around while building and when
       installed
     + debian/rules: make sure the lib works before packaging it
     + debian/control: we need only doxygen, but as build-depends aswell as
     build-depends-indep. (see 218893 for details, 229357 holds a fix for
     dpkg, but isn't applied so far)

  * Jose Carlos
     + Merging versions and changes from 1.6.5-2 to 1.6.6.4-5
     + Added libkrb5-dev to Build-Depends: field. 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 28 Sep 2004 20:02:51 +0200

pwlib (1.7.5-1) experimental; urgency=low

  * Jose Carlos
    + New upstream version (Pandora)
    + We have Build-Dependencies declared on needed libs some time ago now.
    (Closes: #209130)
    + Build-Depend on libdc1394-10-dev (Closes: #255494)
    + debian/patches:
      - Set our patches for this version
      - 01_alpha: fixes compilation in alpha
      - 01_unix.mak: split in 01_alpha and 04_names
      - 03_getdate.tab: renamed from 03_src_ptlib_unix_Makefile
      - 04_Makefile.in: applied upstream. Removed
      - 04_names: change naming of libraries
      - 05_hppa: fixes compilation in hppa64
      - 06_plugins_shared: don't compile plugins for static targets
      - 10_video4dc1394.cxx: fixed upstream. Removed

    + debian/rules:
      - install ChangeLog from upstream sources
      - removed any reference to asnparser, which is no longer available
      - set compat to 1.7.5, as this version is again incompatible with older
      releases.

    + debian/control:
      - removed ansparser package
      - set package names to 1.7.5, and add Replaces to old libpt-1.6.3

    + debian/ChangeLog: removed

  * Kilian Krause
   + libpt-plugins-alsa now depends on alsa-base. (Closes: #257993)
   + debian/control:
      - we now need doxygen as new Build-Dep
   + debian/rules:
      - new plugins are called _pwplugin.so instead of only .so

 -- Kilian Krause <kk@verfaction.de>  Fri, 13 Aug 2004 10:58:35 +0200

pwlib (1.6.6.4-5) unstable; urgency=high

  * Jose Carlos Garcia Sogo:
    - debian/patches/00list: removed HPPA "fix" as it broke compilation. HPPA is
      to be considered 32bit for userspace. 64bit is *ONLY* for kernel! (Closes: #266111)
    - debian/rules: using dpkg-architecture to properly detect in which
      architecture type we're being built. Upstream system is broken, and it
      is causing breakages depending on the buildd that pick us for compiling. 
      (Closes: #271531)
    - Urgency high as our goal is to put new pwlib/oh323 in Sarge.

  * Kilian Krause:
    - debian/control: dupe doc++ also in Build-Depends as we need it for the
      build target *sigh* (check #218893 for details, #229357 holds a patch
      for dpkg, but it's not applied still)

 -- Kilian Krause <kk@verfaction.de>  Sat, 18 Sep 2004 12:53:25 +0200

pwlib (1.6.6.4-4) unstable; urgency=high

  * Recompile with new binutils to solve GM failure in hppa.
  * Urgency high as our goal is to put new pwlib/oh323 in Sarge.
  * make doc++ Build-Depends-Indep as it's only needed for libpt-doc

 -- Kilian Krause <kk@verfaction.de>  Tue,  7 Sep 2004 01:16:34 +0200

pwlib (1.6.6.4-3) unstable; urgency=high

  * Rebuilding to get right dependencies with libdv in
  libpt-plugins-avc (Closes: #267754)
  * Urgency high as we want it to have the chance to propagate
  to Sarge.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 24 Aug 2004 21:58:43 +0200

pwlib (1.6.6.4-2) unstable; urgency=low

  * debian/patches/collect.cxx_postrelease_hotfix.dpatch: fixing ohphone,
    openmcu, gnomemeeting and openam problems. (Closes: #264805)

 -- Kilian Krause <kk@verfaction.de>  Tue, 10 Aug 2004 13:40:56 +0000

pwlib (1.6.6.4-1) unstable; urgency=low

  * New upstream update:
     + Janus_patch4. Diverting from upstream versioning scheme, as this
     version is also called 1.6.6 from upstream POV.
     + Removed asnparser from package as it is no longer required.
  * debian/control: exclude all non-rtti enabled dependant programs from
    installing alongside the new rtti-enabled pwlib. Also, force pwlib to
    build without itself being installed (Just make sure, we're the only one
    around.)
  * debian/rules:
        - also update autotools in plugins/
        - try built pwlib before packaging
  * debian/patches/01_unix.mak.dpatch: fixed building on alpha. (somewhat this
    got lost along the way)

 -- Kilian Krause <kk@verfaction.de>  Mon,  9 Aug 2004 14:34:26 +0200

pwlib (1.6.6-2) unstable; urgency=low

  * debian/control: alsa-base now recommends for libpt-plugins-alsa, not
    depends. (Closes: #263332)

 -- Kilian Krause <kk@verfaction.de>  Thu,  5 Aug 2004 13:33:30 +0200

pwlib (1.6.6-1) unstable; urgency=low

  * new upstream release: Janus_patch3

 -- Kilian Krause <kk@verfaction.de>  Wed, 28 Jul 2004 12:32:27 +0200

pwlib (1.6.5-4) unstable; urgency=low

  * Jose Carlos
    + Build-Depend on libdc1394-10-dev (Closes: #255494)

  * Kilian Krause
   + libpt-plugins-alsa now depends on alsa-base. (Closes: #257993)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 25 Jul 2004 16:07:54 +0200

pwlib (1.6.5-3) unstable; urgency=low

  * Kilian:
     + Added version >= 0.9.4 to Build-Depends on libdc1394. (Closes: #255494)
     + Added libsasl2-dev to Build-Depends line.
  * Jose Carlos:
     + debian/patches:
         - 05_hppa: adds missing arch hppa in unix.mak
         - 06_plugins_shared: don't build plugins for static target.
	   (Closes: #254916)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 27 Jun 2004 15:11:01 +0200

pwlib (1.6.5-2) unstable; urgency=low

  * Jose Carlos:
   + Uploading to unstable.
   + Set Debian VoIP Team as Maintainer.

  * Kilian Krause
   + Changed Build-Depends from libdv2-dev to libdv-dev. (Closes: #249040)
   + Fixed API-change with libdc1394 0.9.4

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 15 Jun 2004 21:15:12 +0200

pwlib (1.6.5-1) experimental; urgency=low

  * New upstream version.
  * Version number in rules file determined by parsing version.h

 -- Tim Johann <t1m@phrogstar.de>  Fri, 26 Mar 2004 01:56:11 +0100

pwlib (1.6.3-1) experimental; urgency=low

  * New upstream version.

 -- Tim Johann <t1m@phrogstar.de>  Sat, 28 Feb 2004 22:59:01 +0100

pwlib (1.6.2-1) experimental; urgency=low

  * New upstream version.
  * New plugin feature now enables us to build for both avc and dc devices.
    Closes: #216633

 -- Tim Johann <t1m@phrogstar.de>  Sun, 15 Feb 2004 23:09:36 +0100

pwlib (1.5.2-4) unstable; urgency=high

  * Added dpatch to fix CVE issue CAN-2004-0097.
    Thanks to James Strandboge <jstrand1@rochester.rr.com> for providing
    the patch.  Closes: #233888.
  * Removed '-pipe', hopefully to get rid of bug #218841.
  * Dropping '-O2' optimisation, in favour of '-Os', to get smaller libs.
    Closes: #220885.

 -- Tim Johann <t1m@phrogstar.de>  Fri, 27 Feb 2004 17:18:24 +0100

pwlib (1.5.2-3) unstable; urgency=low

  * added -DP_64BIT flag to STDCCFLAGS on alpha, not accounted for upstream

 -- Tim Johann <t1m@phrogstar.de>  Sun,  2 Nov 2003 21:16:38 +0100

pwlib (1.5.2-2) unstable; urgency=low

  * added build dependency on libldap2-dev and libsdl1.2-dev.
  * added install dep of libpt-dev on libsdl1.2-dev, libldap2-dev and
    libexpat1-dev.
   

 -- Tim Johann <t1m@phrogstar.de>  Mon, 22 Sep 2003 22:21:00 +0200

pwlib (1.5.2-1) unstable; urgency=low

  * New upstream version.
  * Build of static libraries without -fPIC -DPIC .
  * Build getdate.tab.o without STDCCFLAGS.

 -- Tim Johann <t1m@phrogstar.de>  Sat, 26 Aug 2003 03:00:42 +0200

pwlib (1.5.0-1) unstable; urgency=low

  * New upstream version.
  * New maintainer, closes: #200473
  * New build mechanism uses autoconf
  * added man page ptlib-config.1
  * Added README.Debian
  * Added dependency of libpt-dev on asnparser (>= ${Source-Version}).
    As libpt-dbg depends on libpt-dev of the same version, I hope this
    closes: #198851.
  * Added patch, so that apps linked against ptlib ask for the full
    soname of the lib.
  * Simpler naming scheme.  The patch enabled us to just use
    libpt.so.$(Version) instead of libpt-$(Version).so.$(Version) .
  * complies standards vesion 3.6.0
  * debhelper version 4 compatibility 

 -- Tim Johann <t1m@phrogstar.de>  Tue, 29 Jul 2003 23:54:00 +0200

pwlib (1.4.11-3) unstable; urgency=low

  * IPv6 support doesn't seem to break IPv4, so we'll build with
    IPv6 support on all arches. Closes: #183484.
  * Adding IPv6 breaks binary compatibility so I bumped up soname.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 16 Mar 2003 23:23:06 +0100

pwlib (1.4.11-2) unstable; urgency=low

  * Build without IPv6 on all arches.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 16 Mar 2003 19:05:20 +0100

pwlib (1.4.11-1) unstable; urgency=low

  * New upstream version.
  * Clean up some small typos on the rules.
  * Added 1394 AVC support. Closes: #183488.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 10 Mar 2003 17:20:45 +0100

pwlib (1.4.10-1) unstable; urgency=low

  * New upstream version.
  * Reworked the rules. Closes: #180159.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 10 Feb 2003 23:17:48 +0100

pwlib (1.4.8-1) unstable; urgency=low

  * The "bison broken again" release.
  * We're moving to GCC 3.2, not tagging as soname has changed.
  * New upstream version. Closes: #166792.
  * Changed to bison++ cause of bison problems with g++ 3.2.
  * Change 1394 support back to upstream style. Now programs wanting
    1394 support should define TRY_1394DC and build depend on
    libdc1394-dev (>=0.9.0). Closes: #167754.
  * Please test on PowerPC to see if we can close #153564.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 18 Jan 2003 16:29:41 +0100

pwlib (1.3.11-1) unstable; urgency=low

  * New upstream version.
  * Fix typo on description: Closes: #154858.
  * Compile with 1394 support: Closes: #159865.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 23 Oct 2002 17:06:01 +0200

pwlib (1.3.3-1) unstable; urgency=low

  * New upstream version, compatible with gcc 3.0.
    I can get rid of our patches at last :-) (cross fingers).

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 10 Jul 2002 11:50:33 +0200

pwlib (1.2.19-1) unstable; urgency=low

  * New upstream version. Fixes powerpc endianness problems.
  * Fix -O flag. Closes: #147777.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 27 May 2002 17:30:00 +0200

pwlib (1.2.14-2) unstable; urgency=low

  * Add doc++ to the build-depends. Closes: #143546.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 19 Apr 2002 16:54:10 +0200

pwlib (1.2.14-1) unstable; urgency=low

  * New upstream version.
  * Moved back into main.
  * Removed the 10 seconds timeout patch for sockets.
  * Patched with cvs to solve problems on GM with some cams.
    It took a lot for upstream to get this patch on cvs, which was
    the cause of the delay, waiting for upstream decision, sorry :-(
  * Added a doc package. Closes: #121787.
  * Changed the description a bit. Closes: #135524.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon,  8 Apr 2002 19:04:08 +0200

pwlib (1.2.5-5) unstable; urgency=low

  * Fix the problem on getdate.y with new bison not finding EOF,
    now it compiles again. Thanks to migras and the others for their
    help and support, today was a really hard day for me :-(

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 12 Feb 2002 20:37:21 +0100

pwlib (1.2.5-4) unstable; urgency=high

  * Patch to remove ALSA devices from the list of OSS compatibles.
    Fixes a bug on some ALSA systems, they need OSS compatibility
    modules to be OSS compatible, that way they will work with pwlib.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue,  8 Jan 2002 21:51:33 +0100

pwlib (1.2.5-3) unstable; urgency=high

  * Patch for Framerate limit to work, thanks to Miguel Rodriguez.
  * Lowered timeouts for sockets to 10 seconds, also thanks to Miguel.
  * Compile with -O0 for alpha, sugested by mhp, thanks.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 28 Nov 2001 21:00:38 +0100

pwlib (1.2.5-2) unstable; urgency=low

  * Patched to enable audio output on tv cards.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 25 Nov 2001 16:44:28 +0100

pwlib (1.2.5-1) unstable; urgency=low

  * New upstream version.
  * Heavily rewritten, we now allow several versions of the libs to
    be installed and I'll try to guess compatibility info and try to
    state that in the version numbering and shlibs of the package.
  * Reworked the -dbg package, it now has a shared version of the
    debug libs instead of two static identic ones. Fixed some bugs
    that could break compiling with debug activated.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 21 Nov 2001 21:39:18 +0100

pwlib (1.1.36-4) unstable; urgency=high

  * Upgraded oss.cxx to fix loopback.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue,  4 Sep 2001 17:35:28 +0200

pwlib (1.1.36-3) unstable; urgency=low

  * Add -dbg package with debug version of the libs. Closes #108168.
  * Removed README.Debian explaining how to build the debug version.
  * Added more audio devices for the GnomeMeeting new features ;-)
  * Upgraded vconvert.cxx and video4linux.cxx to cvs to fix video
    problems on some webcams. This will require some modifications
    on programs using video.
  * Upgraded shlib depends.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 28 Aug 2001 18:21:53 +0200

pwlib (1.1.36-2) unstable; urgency=low

  * Use DEB_BUILD_OPTIONS for getting the debug version compiled.
  * Create versioned shlibs.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 21 Aug 2001 22:16:44 +0200

pwlib (1.1.36-1) unstable; urgency=low

  * New upstream version.
  * Moved it to non-US. Closes: #108645.
  * Provide a way to build debug version, explained on README.Debian.
    Closes: #108168.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 13 Aug 2001 21:27:56 +0200

pwlib (1.1.34-2) unstable; urgency=low

  * Changed the way on wich the source code is compiled. This results
    on asnparser being dynamically linked and thus much smaller now.
  * Compiled asnparser without -fPIC, this was what was breaking hppa.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue,  7 Aug 2001 15:57:28 +0200

pwlib (1.1.34-1) unstable; urgency=low

  * Patched to compile on gcc 3.0 (thanks to Artis Kugevics). Now it
    builds on hppa. Closes: #104666.
  * Added libssl-dev build dependency.
  * Added a small man page for ansparser.
  * Added upstream doc to libpt1 package.
  * New upstream version. Closes: #96523, #105408.
  * New maintainer.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon,  6 Aug 2001 11:27:08 +0200

pwlib (1.1pl19-1.2) unstable; urgency=low

  * NMU with permission of Raphael Bossek.
  * Added the missing build dependency on flex. (closes: #94962)

 -- Adrian Bunk <bunk@fs.tum.de>  Tue, 15 May 2001 01:25:01 +0200

pwlib (1.1pl19-1.1) unstable; urgency=low

  * NMU
  * Added build dependencies. (closes: #89173, #92381)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 14 Apr 2001 23:10:26 +0200

pwlib (1.1pl19-1) unstable; urgency=low

  * New upstream version. (closes: #81509)
  * Overtake maintainership from Thomas.

 -- Raphael Bossek <bossekr@debian.org>  Sun,  4 Feb 2001 18:43:53 +0100

pwlib (1.1pl18-1) unstable; urgency=low

  * Initial Release.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 13 Nov 2000 23:04:02 -0800
pwlib-titan (1.11.2-3) UNRELEASED; urgency=low

  [ Victor Seva ]
  * Add patch from Robert Millan to solve FTBFS on parallel build.
    (Closes: #459743)

  [ Faidon Liambotis ]
  * Remove emacs stuff from the end of the changelog.

  [ Patrick Matthäi ]
  * Add description for 01_unix.mak_Os.dpatch.
    Thanks lintian.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 03 Apr 2008 19:07:41 +0300

pwlib-titan (1.11.2-2) unstable; urgency=low

  [ Kilian Krause ]
  * Fix debian/watch to use sf.net instead of voxgratia.org (Closes: #453595)
  * Remove symlinks of unused compatibility versions.
  * Remove entire -ptrace and -debug build and leave only opt build with
    PTRACE code as new binary library. Discussion with Robert Jongbloed
    proved that there's no point shipping any other configuration.
  * Revert part of 04_names patch to not include OBJDIR_SUFFIX to
    plugins dir anymore.

  [ Faidon Liambotis ]
  * Incorporate NMU by Nico Golde, thanks! (Closes: #454139)
  * Fix bug where shlibs were very strict on binNMUed versions.
  * Bump Standards-Version to 3.7.3, no changes needed.
  * Remove doxygen from Build-Depends-Indep since it's present in
    Build-Depends.
  * Remove debian/backports/{sarge,dapper} since they are obsolete
    distributions.
  * Remove Jose Carlos Garcia Sogo and Santiago Garcia Mantinan from
    Uploaders and add myself.
  * Add all copyright holders to debian/copyright.
  * Fix syntax error in the ptlib-config.1 manpage.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 02 Apr 2008 07:14:27 +0300

pwlib-titan (1.11.2-1.1) unstable; urgency=high

  * Non-maintainer upload by testing-security team.
  * Fix remote denial of service vulnerability caused
    by a call to PString::vsprintf if the used object already
    contained more than 1000 characters (CVE-2007-4897; bug #454139).

 -- Nico Golde <nion@debian.org>  Mon, 03 Dec 2007 13:20:05 +0100

pwlib-titan (1.11.2-1) unstable; urgency=low

  * New upstream release (unstable branch).

  [ Kilian Krause ]
  * Add dpkg-dev (>= 1.13.19) to Build-Deps to allow use of binary:Version.
  * Remove circular dependencies from plugins.
  * Remove get-orig-source until upstream provides the tarball on their
    website again.
  * Fixup debian/watch.
  * Remove compat symlinks.
  * Remove implicit rules-ignores-make-clean error
  * Fix dh_strip call to use $(PACKAGE) for all packs properly.
  * Add Homepage field as added in dpkg-dev 1.14.6.

  [ Faidon Liambotis ]
  * Adapt shlibs to depend on the upstream's version number and not the Debian
    version number, since we don't extend the ABI. This also imitates
    debhelper's behavior.

 -- Kilian Krause <kilian@debian.org>  Sat, 22 Sep 2007 14:43:52 +0200

pwlib (1.10.7~dfsg1-4) unstable; urgency=high

  * Add missing libpt.so.* compat symlinks. The libpt.so.1.10 is supposed to
    be compatible with all build versions. Probably we should revert that
    SONAME "fix" upstream to just $major.$minor as is what Craig reckons is
    kept as API/ABI for a stable release. (Closes: #434077)
  * Urgency high due to RC bug.

 -- Kilian Krause <kilian@debian.org>  Sun, 22 Jul 2007 02:57:29 +0200

pwlib (1.10.7~dfsg1-3) unstable; urgency=low

  * Add missing conflicts (Closes: #433185)

 -- Kilian Krause <kilian@debian.org>  Mon, 16 Jul 2007 13:50:38 +0200

pwlib (1.10.7~dfsg1-2) unstable; urgency=low

  * Fix compilation of V4L2 on i386. Backport patch from upstream.
  * Fix Source-Version to become binary:Version for binNMU-safety.

 -- Kilian Krause <kilian@debian.org>  Wed, 04 Jul 2007 19:11:46 +0200

pwlib (1.10.7~dfsg1-1) unstable; urgency=low

  * New upstream version.
  * Update debian/rules to build also ptrace-enabled opt version and
    ptrace-enabled debug version (with extra PTRACE code) as was often
    requested by Ekiga developers.
  * Ship external debug symbols directly in new ptrace and develop package.
  * Add symlinks for linking only in libpt-dev rather than each libpt package.
    Backward compatibility links are still added to allow clean upgrade paths
    without rebuild when build-version has been bumped. Upstream reckons the
    API with stable OpenH323 releases (pwlib, opal, openh323) is supposed to
    remain identical for all upsates with the same minor version number.
    (Closes: #424050)
  * Depend on at least one plugin for audio and video for libpt-1.10.0. The
    -develop and -ptrace have their plugins included. No need to depend here.

 -- Kilian Krause <kilian@debian.org>  Tue,  3 Jul 2007 21:49:46 +0200

pwlib (1.10.2-2) unstable; urgency=high

  * Correct the versioned dependency to the lib we're building right now to
    overcome problems like #392522. Setting urgency=high, for we're closing an
    RC-bug.

 -- Kilian Krause <kilian@debian.org>  Sun, 22 Oct 2006 11:05:39 +0200

pwlib (1.10.2-1) unstable; urgency=low

  * New upstream release. No more dfsg-repack should be needed, RFC files
    deleted upstream.

  [ Kilian Krause ]
  * Rename configure target to config.status
  * Updated Homepage to www.voxgratia.org in package descriptions
    (Closes: #383173)
  * Document that libpt-dbg is only debug symbols. Eventually this should
    become a switch in the debian/rules to make debug-compile one simple
    rebuild for the user or even automagically be added to more powerful
    platforms. (Closes: #345511)

 -- Kilian Krause <kilian@debian.org>  Mon,  9 Oct 2006 13:27:28 +0200

pwlib (1.10.1.dfsg-1) unstable; urgency=low

  [ Kilian Krause ]
  * New upstream release. (Closes: #365177)
  * debian/rules: Use CURDIR rather than PWD to make sure we can build with
    sudo.

  [ Mark Purcell ]
  * Update debian/watch for numerics

 -- Kilian Krause <kilian@debian.org>  Fri,  9 Jun 2006 19:33:41 +0000

pwlib (1.10.0-1) unstable; urgency=low

  * New upstream release (Phobos_release).
  * hush version.h error message when tarball not yet extracted
  * Sarge compatibility: if debhelper compat is 4, use older strip

 -- Kilian Krause <kilian@debian.org>  Mon, 13 Mar 2006 23:46:34 +0000

pwlib (1.9.3-2) unstable; urgency=low

  * Fix compilation on alpha with switching -Os back to -O2. Apparently gcc is
    still broken.

 -- Kilian Krause <kilian@debian.org>  Sun, 19 Feb 2006 22:10:42 +0100

pwlib (1.9.3-1) unstable; urgency=low

  * New upstream release. (Phobos-devel3, Prerelease for Ekiga 2.00 BETA2)
    Naming according to final API names of Phobos.

 -- Kilian Krause <kilian@debian.org>  Mon,  6 Feb 2006 20:45:01 +0100

pwlib (1.8.7-2) unstable; urgency=high

  * High-urgency upload for multiple RC bugfixes.
  * Fix casts to match current OpenSSL prototypes (closes: #335490).
  * Use -O2 instead of -Os when building, as recommended by policy; this
    fixes a build-time failure on alpha when running any code linked against
    libpt.
  * Drop the libpt.so.1.8.3 and libpt.so.1.8.4 symlinks; the native soname
    is now libpt.so.1.8.7, so since we're no longer compatible with older
    reverse-dependencies anyway due to the ABI change, these serve no
    purpose.  Here's hoping someone clues upstream in on handling of SONAMEs
    before the next release.
  * Rename libpt-1.8.3c2 to libpt-1.8.7 for the C++ mt allocator ABI
    transition, and conflict/replace libpt-1.8.3c2 accordingly
    (closes: #339253).  Thanks to the change above, this only requires
    conflict/replacing libpt-1.8.3c2 (>= 1.8.7-1).
  * Get rid of the useless /usr/lib/libpt.so.1 link: this serves no purpose
    when the package soname is libpt.so.1.8.7, because *nothing* will ever
    use it, so the easiest way to avoid conflicts is to not ship it
    anywhere! (closes: #331634)
  * Fix most of the warnings.
  * Thanks goes to Steve Langasek and Jose Carlos Garcia Sogo for their help
    on preparing this!

 -- Kilian Krause <kilian@debian.org>  Sun,  4 Dec 2005 00:58:44 +0100

pwlib (1.8.7-1) unstable; urgency=low

  * Mimas_patch2 is 1.8.7. And shlibdeps imposes this as version.

 -- Kilian Krause <kilian@debian.org>  Wed, 14 Sep 2005 18:14:03 +0200

pwlib (1.8.4-3) unstable; urgency=low

  * Move symlinks to -dev package where they belong and don't conflict no more
    with libs we don't share files with. (Closes: #320105)
  * Update to Mimas_patch2.

 -- Kilian Krause <kilian@debian.org>  Tue, 13 Sep 2005 19:52:03 +0200

pwlib (1.8.4-2) unstable; urgency=low

  * Jose Carlos:
    + Ack previous NMU. Thanks to Sam Hocevar for his work.
    (Closes: #315233, #309873, #313032, #310825, #310813)
  * Kilian:
    + Included Mimas_patch1.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 15 Jul 2005 10:21:16 +0300

pwlib (1.8.4-1.1) unstable; urgency=low

  * Non-maintainer upload (g++ transition).
  * debian/control:
    + Build-depend on libdc1394-13-dev instead of libdc1394-11-dev so that
      the package can build (Closes: #315233) and libpt-plugins-dc is
      installable again (Closes: #309873, #313032).
    + Removed the build-dependency on g++.
    + Renamed package to libpt-1.8.3c2 for the g++ transition (Closes: #310825).
  * debian/patches/08_g++4.dpatch:
    + Patch courtesy of Andreas Jochens to fix g++4.0 build.
  * debian/rules:
    + Copy config.sub and config.guess instead of linking them to allow the
      package to rebuild properly (Closes: #310813).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 14 Jul 2005 14:39:40 +0300

pwlib (1.8.4-1) unstable; urgency=low

  * New upstream release, codename Mimas.
  * Release targeted for Sid.

 -- Kilian Krause <kk@verfaction.de>  Sun, 20 Feb 2005 22:35:14 +0100

pwlib (1.8.3-2) experimental; urgency=low

  * Renamed package to 1.8.3, to be coherent with the first upstream
  version present in Debian archives.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 18 Dec 2004 11:47:00 +0100

pwlib (1.8.3-1) experimental; urgency=low

  * New upstream release (Atlas)
    + debian/control: updated package names
    + debian/control: conflict with older 1.7.5 versions
    + debian/rules: tweak compat version to 1.8.2
    + debian/rules: enabled support for v4l2. Created new plugin package.

  * Build-Depend on libdc1394-11-dev. (Closes: #277701, #278847)
  * Build-Depend on linux-kernel-headers to get video4linux2 support.

  * debian/patches:
    + 00list: disable 03_getdate.tab (Closes: #276200)

  * debian/rules: minor cleanups

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 28 Nov 2004 20:33:23 +0100

pwlib (1.7.5.2-3) experimental; urgency=low

  * Fixed maintainer field, which was hosed by pbuilder.
  * Clean hello_world after the test. (Closes: #273635)
  * Conflicts with libpt-1.6.3 and libpt-1.5.2. (Closes: #265447)
  * These are the new stable versions for pwlib. (Closes: #270061)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat,  2 Oct 2004 16:45:18 +0200

pwlib (1.7.5.2-2) experimental; urgency=low

  * debian/rules:
     + drop debugshared and debugnoshared make targets. Those build hughe
     libraries, which are not needed in Debian.
     + Lot of changes to make -dbg package to only contain symbols that were
     stripped from shared library and plugins.
     + Both changes reduce the compilation time and the size of -dbg package.
  * debian/patches:
     + 07_nostrip: we don't want to strip when linking for shared library.
     That is going to be handled later in the package building process.

  * README.Debian: updated

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri,  1 Oct 2004 20:48:52 +0200

pwlib (1.7.5.2-1) experimental; urgency=low

  * Kilian Krause
     + New upstream update (Pandora)
     + make sure we're the only pwlib around while building and when
       installed
     + debian/rules: make sure the lib works before packaging it
     + debian/control: we need only doxygen, but as build-depends aswell as
     build-depends-indep. (see 218893 for details, 229357 holds a fix for
     dpkg, but isn't applied so far)

  * Jose Carlos
     + Merging versions and changes from 1.6.5-2 to 1.6.6.4-5
     + Added libkrb5-dev to Build-Depends: field.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 28 Sep 2004 20:02:51 +0200

pwlib (1.7.5-1) experimental; urgency=low

  * Jose Carlos
    + New upstream version (Pandora)
    + We have Build-Dependencies declared on needed libs some time ago now.
    (Closes: #209130)
    + Build-Depend on libdc1394-10-dev (Closes: #255494)
    + debian/patches:
      - Set our patches for this version
      - 01_alpha: fixes compilation in alpha
      - 01_unix.mak: split in 01_alpha and 04_names
      - 03_getdate.tab: renamed from 03_src_ptlib_unix_Makefile
      - 04_Makefile.in: applied upstream. Removed
      - 04_names: change naming of libraries
      - 05_hppa: fixes compilation in hppa64
      - 06_plugins_shared: don't compile plugins for static targets
      - 10_video4dc1394.cxx: fixed upstream. Removed

    + debian/rules:
      - install ChangeLog from upstream sources
      - removed any reference to asnparser, which is no longer available
      - set compat to 1.7.5, as this version is again incompatible with older
      releases.

    + debian/control:
      - removed ansparser package
      - set package names to 1.7.5, and add Replaces to old libpt-1.6.3

    + debian/ChangeLog: removed

  * Kilian Krause
   + libpt-plugins-alsa now depends on alsa-base. (Closes: #257993)
   + debian/control:
      - we now need doxygen as new Build-Dep
   + debian/rules:
      - new plugins are called _pwplugin.so instead of only .so

 -- Kilian Krause <kk@verfaction.de>  Fri, 13 Aug 2004 10:58:35 +0200

pwlib (1.6.6.4-5) unstable; urgency=high

  * Jose Carlos Garcia Sogo:
    - debian/patches/00list: removed HPPA "fix" as it broke compilation. HPPA is
      to be considered 32bit for userspace. 64bit is *ONLY* for kernel! (Closes: #266111)
    - debian/rules: using dpkg-architecture to properly detect in which
      architecture type we're being built. Upstream system is broken, and it
      is causing breakages depending on the buildd that pick us for compiling.
      (Closes: #271531)
    - Urgency high as our goal is to put new pwlib/oh323 in Sarge.

  * Kilian Krause:
    - debian/control: dupe doc++ also in Build-Depends as we need it for the
      build target *sigh* (check #218893 for details, #229357 holds a patch
      for dpkg, but it's not applied still)

 -- Kilian Krause <kk@verfaction.de>  Sat, 18 Sep 2004 12:53:25 +0200

pwlib (1.6.6.4-4) unstable; urgency=high

  * Recompile with new binutils to solve GM failure in hppa.
  * Urgency high as our goal is to put new pwlib/oh323 in Sarge.
  * make doc++ Build-Depends-Indep as it's only needed for libpt-doc

 -- Kilian Krause <kk@verfaction.de>  Tue,  7 Sep 2004 01:16:34 +0200

pwlib (1.6.6.4-3) unstable; urgency=high

  * Rebuilding to get right dependencies with libdv in
  libpt-plugins-avc (Closes: #267754)
  * Urgency high as we want it to have the chance to propagate
  to Sarge.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 24 Aug 2004 21:58:43 +0200

pwlib (1.6.6.4-2) unstable; urgency=low

  * debian/patches/collect.cxx_postrelease_hotfix.dpatch: fixing ohphone,
    openmcu, gnomemeeting and openam problems. (Closes: #264805)

 -- Kilian Krause <kk@verfaction.de>  Tue, 10 Aug 2004 13:40:56 +0000

pwlib (1.6.6.4-1) unstable; urgency=low

  * New upstream update:
     + Janus_patch4. Diverting from upstream versioning scheme, as this
     version is also called 1.6.6 from upstream POV.
     + Removed asnparser from package as it is no longer required.
  * debian/control: exclude all non-rtti enabled dependant programs from
    installing alongside the new rtti-enabled pwlib. Also, force pwlib to
    build without itself being installed (Just make sure, we're the only one
    around.)
  * debian/rules:
        - also update autotools in plugins/
        - try built pwlib before packaging
  * debian/patches/01_unix.mak.dpatch: fixed building on alpha. (somewhat this
    got lost along the way)

 -- Kilian Krause <kk@verfaction.de>  Mon,  9 Aug 2004 14:34:26 +0200

pwlib (1.6.6-2) unstable; urgency=low

  * debian/control: alsa-base now recommends for libpt-plugins-alsa, not
    depends. (Closes: #263332)

 -- Kilian Krause <kk@verfaction.de>  Thu,  5 Aug 2004 13:33:30 +0200

pwlib (1.6.6-1) unstable; urgency=low

  * new upstream release: Janus_patch3

 -- Kilian Krause <kk@verfaction.de>  Wed, 28 Jul 2004 12:32:27 +0200

pwlib (1.6.5-4) unstable; urgency=low

  * Jose Carlos
    + Build-Depend on libdc1394-10-dev (Closes: #255494)

  * Kilian Krause
   + libpt-plugins-alsa now depends on alsa-base. (Closes: #257993)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 25 Jul 2004 16:07:54 +0200

pwlib (1.6.5-3) unstable; urgency=low

  * Kilian:
     + Added version >= 0.9.4 to Build-Depends on libdc1394. (Closes: #255494)
     + Added libsasl2-dev to Build-Depends line.
  * Jose Carlos:
     + debian/patches:
         - 05_hppa: adds missing arch hppa in unix.mak
         - 06_plugins_shared: don't build plugins for static target.
           (Closes: #254916)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 27 Jun 2004 15:11:01 +0200

pwlib (1.6.5-2) unstable; urgency=low

  * Jose Carlos:
   + Uploading to unstable.
   + Set Debian VoIP Team as Maintainer.

  * Kilian Krause
   + Changed Build-Depends from libdv2-dev to libdv-dev. (Closes: #249040)
   + Fixed API-change with libdc1394 0.9.4

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 15 Jun 2004 21:15:12 +0200

pwlib (1.6.5-1) experimental; urgency=low

  * New upstream version.
  * Version number in rules file determined by parsing version.h

 -- Tim Johann <t1m@phrogstar.de>  Fri, 26 Mar 2004 01:56:11 +0100

pwlib (1.6.3-1) experimental; urgency=low

  * New upstream version.

 -- Tim Johann <t1m@phrogstar.de>  Sat, 28 Feb 2004 22:59:01 +0100

pwlib (1.6.2-1) experimental; urgency=low

  * New upstream version.
  * New plugin feature now enables us to build for both avc and dc devices.
    Closes: #216633

 -- Tim Johann <t1m@phrogstar.de>  Sun, 15 Feb 2004 23:09:36 +0100

pwlib (1.5.2-4) unstable; urgency=high

  * Added dpatch to fix CVE issue CAN-2004-0097.
    Thanks to James Strandboge <jstrand1@rochester.rr.com> for providing
    the patch.  Closes: #233888.
  * Removed '-pipe', hopefully to get rid of bug #218841.
  * Dropping '-O2' optimisation, in favour of '-Os', to get smaller libs.
    Closes: #220885.

 -- Tim Johann <t1m@phrogstar.de>  Fri, 27 Feb 2004 17:18:24 +0100

pwlib (1.5.2-3) unstable; urgency=low

  * added -DP_64BIT flag to STDCCFLAGS on alpha, not accounted for upstream

 -- Tim Johann <t1m@phrogstar.de>  Sun,  2 Nov 2003 21:16:38 +0100

pwlib (1.5.2-2) unstable; urgency=low

  * added build dependency on libldap2-dev and libsdl1.2-dev.
  * added install dep of libpt-dev on libsdl1.2-dev, libldap2-dev and
    libexpat1-dev.

 -- Tim Johann <t1m@phrogstar.de>  Mon, 22 Sep 2003 22:21:00 +0200

pwlib (1.5.2-1) unstable; urgency=low

  * New upstream version.
  * Build of static libraries without -fPIC -DPIC .
  * Build getdate.tab.o without STDCCFLAGS.

 -- Tim Johann <t1m@phrogstar.de>  Sat, 26 Aug 2003 03:00:42 +0200

pwlib (1.5.0-1) unstable; urgency=low

  * New upstream version.
  * New maintainer, closes: #200473
  * New build mechanism uses autoconf
  * added man page ptlib-config.1
  * Added README.Debian
  * Added dependency of libpt-dev on asnparser (>= ${Source-Version}).
    As libpt-dbg depends on libpt-dev of the same version, I hope this
    closes: #198851.
  * Added patch, so that apps linked against ptlib ask for the full
    soname of the lib.
  * Simpler naming scheme.  The patch enabled us to just use
    libpt.so.$(Version) instead of libpt-$(Version).so.$(Version) .
  * complies standards vesion 3.6.0
  * debhelper version 4 compatibility

 -- Tim Johann <t1m@phrogstar.de>  Tue, 29 Jul 2003 23:54:00 +0200

pwlib (1.4.11-3) unstable; urgency=low

  * IPv6 support doesn't seem to break IPv4, so we'll build with
    IPv6 support on all arches. Closes: #183484.
  * Adding IPv6 breaks binary compatibility so I bumped up soname.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 16 Mar 2003 23:23:06 +0100

pwlib (1.4.11-2) unstable; urgency=low

  * Build without IPv6 on all arches.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 16 Mar 2003 19:05:20 +0100

pwlib (1.4.11-1) unstable; urgency=low

  * New upstream version.
  * Clean up some small typos on the rules.
  * Added 1394 AVC support. Closes: #183488.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 10 Mar 2003 17:20:45 +0100

pwlib (1.4.10-1) unstable; urgency=low

  * New upstream version.
  * Reworked the rules. Closes: #180159.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 10 Feb 2003 23:17:48 +0100

pwlib (1.4.8-1) unstable; urgency=low

  * The "bison broken again" release.
  * We're moving to GCC 3.2, not tagging as soname has changed.
  * New upstream version. Closes: #166792.
  * Changed to bison++ cause of bison problems with g++ 3.2.
  * Change 1394 support back to upstream style. Now programs wanting
    1394 support should define TRY_1394DC and build depend on
    libdc1394-dev (>=0.9.0). Closes: #167754.
  * Please test on PowerPC to see if we can close #153564.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 18 Jan 2003 16:29:41 +0100

pwlib (1.3.11-1) unstable; urgency=low

  * New upstream version.
  * Fix typo on description: Closes: #154858.
  * Compile with 1394 support: Closes: #159865.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 23 Oct 2002 17:06:01 +0200

pwlib (1.3.3-1) unstable; urgency=low

  * New upstream version, compatible with gcc 3.0.
    I can get rid of our patches at last :-) (cross fingers).

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 10 Jul 2002 11:50:33 +0200

pwlib (1.2.19-1) unstable; urgency=low

  * New upstream version. Fixes powerpc endianness problems.
  * Fix -O flag. Closes: #147777.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 27 May 2002 17:30:00 +0200

pwlib (1.2.14-2) unstable; urgency=low

  * Add doc++ to the build-depends. Closes: #143546.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 19 Apr 2002 16:54:10 +0200

pwlib (1.2.14-1) unstable; urgency=low

  * New upstream version.
  * Moved back into main.
  * Removed the 10 seconds timeout patch for sockets.
  * Patched with cvs to solve problems on GM with some cams.
    It took a lot for upstream to get this patch on cvs, which was
    the cause of the delay, waiting for upstream decision, sorry :-(
  * Added a doc package. Closes: #121787.
  * Changed the description a bit. Closes: #135524.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon,  8 Apr 2002 19:04:08 +0200

pwlib (1.2.5-5) unstable; urgency=low

  * Fix the problem on getdate.y with new bison not finding EOF,
    now it compiles again. Thanks to migras and the others for their
    help and support, today was a really hard day for me :-(

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 12 Feb 2002 20:37:21 +0100

pwlib (1.2.5-4) unstable; urgency=high

  * Patch to remove ALSA devices from the list of OSS compatibles.
    Fixes a bug on some ALSA systems, they need OSS compatibility
    modules to be OSS compatible, that way they will work with pwlib.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue,  8 Jan 2002 21:51:33 +0100

pwlib (1.2.5-3) unstable; urgency=high

  * Patch for Framerate limit to work, thanks to Miguel Rodriguez.
  * Lowered timeouts for sockets to 10 seconds, also thanks to Miguel.
  * Compile with -O0 for alpha, sugested by mhp, thanks.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 28 Nov 2001 21:00:38 +0100

pwlib (1.2.5-2) unstable; urgency=low

  * Patched to enable audio output on tv cards.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 25 Nov 2001 16:44:28 +0100

pwlib (1.2.5-1) unstable; urgency=low

  * New upstream version.
  * Heavily rewritten, we now allow several versions of the libs to
    be installed and I'll try to guess compatibility info and try to
    state that in the version numbering and shlibs of the package.
  * Reworked the -dbg package, it now has a shared version of the
    debug libs instead of two static identic ones. Fixed some bugs
    that could break compiling with debug activated.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 21 Nov 2001 21:39:18 +0100

pwlib (1.1.36-4) unstable; urgency=high

  * Upgraded oss.cxx to fix loopback.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue,  4 Sep 2001 17:35:28 +0200

pwlib (1.1.36-3) unstable; urgency=low

  * Add -dbg package with debug version of the libs. Closes #108168.
  * Removed README.Debian explaining how to build the debug version.
  * Added more audio devices for the GnomeMeeting new features ;-)
  * Upgraded vconvert.cxx and video4linux.cxx to cvs to fix video
    problems on some webcams. This will require some modifications
    on programs using video.
  * Upgraded shlib depends.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 28 Aug 2001 18:21:53 +0200

pwlib (1.1.36-2) unstable; urgency=low

  * Use DEB_BUILD_OPTIONS for getting the debug version compiled.
  * Create versioned shlibs.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 21 Aug 2001 22:16:44 +0200

pwlib (1.1.36-1) unstable; urgency=low

  * New upstream version.
  * Moved it to non-US. Closes: #108645.
  * Provide a way to build debug version, explained on README.Debian.
    Closes: #108168.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 13 Aug 2001 21:27:56 +0200

pwlib (1.1.34-2) unstable; urgency=low

  * Changed the way on wich the source code is compiled. This results
    on asnparser being dynamically linked and thus much smaller now.
  * Compiled asnparser without -fPIC, this was what was breaking hppa.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue,  7 Aug 2001 15:57:28 +0200

pwlib (1.1.34-1) unstable; urgency=low

  * Patched to compile on gcc 3.0 (thanks to Artis Kugevics). Now it
    builds on hppa. Closes: #104666.
  * Added libssl-dev build dependency.
  * Added a small man page for ansparser.
  * Added upstream doc to libpt1 package.
  * New upstream version. Closes: #96523, #105408.
  * New maintainer.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon,  6 Aug 2001 11:27:08 +0200

pwlib (1.1pl19-1.2) unstable; urgency=low

  * NMU with permission of Raphael Bossek.
  * Added the missing build dependency on flex. (closes: #94962)

 -- Adrian Bunk <bunk@fs.tum.de>  Tue, 15 May 2001 01:25:01 +0200

pwlib (1.1pl19-1.1) unstable; urgency=low

  * NMU
  * Added build dependencies. (closes: #89173, #92381)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 14 Apr 2001 23:10:26 +0200

pwlib (1.1pl19-1) unstable; urgency=low

  * New upstream version. (closes: #81509)
  * Overtake maintainership from Thomas.

 -- Raphael Bossek <bossekr@debian.org>  Sun,  4 Feb 2001 18:43:53 +0100

pwlib (1.1pl18-1) unstable; urgency=low

  * Initial Release.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 13 Nov 2000 23:04:02 -0800
